object opm_Form_Config: Topm_Form_Config
  Left = 336
  Top = 208
  BorderStyle = bsDialog
  ClientHeight = 424
  ClientWidth = 630
  Color = clBtnFace
  ParentFont = True
  OldCreateOrder = False
  Position = poScreenCenter
  ShowHint = True
  OnCreate = FormCreate
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object opm_BitBtn_ConfigOk: TBitBtn
    Left = 367
    Top = 385
    Width = 120
    Height = 30
    Caption = 'Continue'
    TabOrder = 1
    OnClick = opm_BitBtn_ConfigOkClick
    Kind = bkOK
  end
  object opm_BitBtn_ConfigCancel: TBitBtn
    Left = 503
    Top = 385
    Width = 120
    Height = 30
    TabOrder = 2
    Kind = bkCancel
  end
  object opm_PageControl_Config: TPageControl
    Left = 5
    Top = 5
    Width = 622
    Height = 371
    ActivePage = opm_TabSheet_ConfigImg
    TabOrder = 0
    object opm_TabSheet_ConfigGeneral: TTabSheet
      Caption = 'General'
      object opm_GroupBox_INI: TGroupBox
        Left = 415
        Top = 240
        Width = 191
        Height = 91
        Caption = 'Save/Load configuration'
        TabOrder = 0
        object opm_BitBtn_ConfigLoadINI: TBitBtn
          Left = 21
          Top = 17
          Width = 150
          Height = 30
          Hint = 'Load configuration | Load the configuration data from a file.'
          Caption = 'Load'
          TabOrder = 0
          OnClick = opm_BitBtn_ConfigLoadINIClick
        end
        object opm_BitBtn_ConfigSaveINI: TBitBtn
          Left = 21
          Top = 52
          Width = 150
          Height = 30
          Hint = 'Save configuration | Save the configuration to a file.'
          Caption = 'Save'
          TabOrder = 1
          OnClick = opm_BitBtn_ConfigSaveINIClick
        end
      end
    end
    object opm_TabSheet_ConfigNet: TTabSheet
      Caption = 'Network'
      ImageIndex = 8
      object opm_GroupBox_HTTP: TGroupBox
        Left = 5
        Top = 226
        Width = 603
        Height = 110
        Caption = 'Web connection options'
        TabOrder = 1
        object opm_Label_ConfigPHost: TLabel
          Left = 14
          Top = 52
          Width = 52
          Height = 13
          Caption = 'Proxy host'
        end
        object opm_Label_ConfigPPort: TLabel
          Left = 229
          Top = 52
          Width = 51
          Height = 13
          Caption = 'Proxy port'
        end
        object opm_ComboBox_ConfigProxyHost: TComboBox
          Left = 14
          Top = 71
          Width = 200
          Height = 21
          Hint = 
            'Proxy host name | Define the host name or IP number of the proxy' +
            ' server to be used to download the product images. If you don'#39't ' +
            'need a proxy server to browse the web, leave it empty.'
          AutoDropDown = True
          DropDownCount = 30
          ItemHeight = 13
          ParentShowHint = False
          ShowHint = True
          Sorted = True
          TabOrder = 2
        end
        object opm_SpinEdit_ConfigProxyPort: TSpinEdit
          Left = 229
          Top = 70
          Width = 89
          Height = 22
          Hint = 
            'Web proxy TCP port | Define the TCP port number of the web proxy' +
            '.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
          Value = 0
        end
        object opm_BitBtn_ConfigProxyIE: TBitBtn
          Left = 442
          Top = 65
          Width = 150
          Height = 30
          Hint = 
            'Automatically set proxy configuration | Load the proxy configura' +
            'tion from the system configuration.'
          Caption = 'Autoconfigure'
          TabOrder = 4
          OnClick = opm_BitBtn_ConfigProxyIEClick
        end
        object opm_CheckBox_ConfigUseProxy: TCheckBox
          Left = 16
          Top = 22
          Width = 270
          Height = 17
          Hint = 'Use web proxy | Enables the use of a web proxy.'
          Caption = 'Use web proxy'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnClick = opm_CheckBox_ConfigUseProxyClick
        end
        object opm_ComboBox_ConfigProxyApply: TComboBox
          Left = 391
          Top = 19
          Width = 200
          Height = 21
          Hint = 
            'When to use the proxy settings | Defines if the proxy settings w' +
            'ill be used always, only to contact the server-side script or on' +
            'ly when looking for updates.'
          Style = csDropDownList
          ItemHeight = 13
          TabOrder = 1
        end
      end
      object opm_GroupBox_HTTPGen: TGroupBox
        Left = 5
        Top = 10
        Width = 603
        Height = 206
        Caption = 'HTTP options'
        TabOrder = 0
        object opm_Label_ConfigETABase: TLabel
          Left = 16
          Top = 125
          Width = 105
          Height = 13
          Caption = 'Download speed base'
        end
        object opm_Label_ConfigUploadURL: TLabel
          Left = 16
          Top = 76
          Width = 84
          Height = 13
          Caption = 'Upload script URL'
        end
        object opm_Label_ConfigHTTPConnWait: TLabel
          Left = 443
          Top = 26
          Width = 119
          Height = 13
          Caption = 'HTTP connection timeout'
        end
        object opm_Label_ConfigUsername: TLabel
          Left = 18
          Top = 26
          Width = 48
          Height = 13
          Caption = 'Username'
        end
        object opm_Label_ConfigPassword: TLabel
          Left = 208
          Top = 26
          Width = 46
          Height = 13
          Caption = 'Password'
        end
        object opm_Label_ConfigHTTPConnRetries: TLabel
          Left = 443
          Top = 76
          Width = 114
          Height = 13
          Caption = 'HTTP connection retries'
        end
        object opm_ComboBox_ConfigETABase: TComboBox
          Left = 16
          Top = 145
          Width = 200
          Height = 21
          Hint = 
            'Download speed base | This value is used only to calculate the e' +
            'stimated download times.'
          ItemHeight = 13
          TabOrder = 5
        end
        object opm_ComboBox_ConfigUploadURL: TComboBox
          Left = 16
          Top = 94
          Width = 400
          Height = 21
          Hint = 
            'Upload script URL | Define the URL of the script used to upload ' +
            'images to the OSCommerce directory. Usually the URL is /catalog/' +
            'oscpm1_upload.php, but may vary depending on the configuration o' +
            'f OSCommerce.'
          DropDownCount = 30
          ItemHeight = 13
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
        end
        object opm_SpinEdit_ConfigHTTPConnWait: TSpinEdit
          Left = 442
          Top = 45
          Width = 89
          Height = 22
          Hint = 
            'HTTP connection timeout | How many milliseconds to wait before f' +
            'ailing the connection to the server-side script server or any ot' +
            'her web server.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
          Value = 0
        end
        object opm_ComboBox_ConfigUsername: TComboBox
          Left = 18
          Top = 43
          Width = 180
          Height = 21
          Hint = 
            'Database username | Define the user name to use for connecting t' +
            'o the database server.'
          AutoDropDown = True
          DropDownCount = 30
          ItemHeight = 13
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
        end
        object opm_Edit_ConfigPassword: TEdit
          Left = 208
          Top = 43
          Width = 180
          Height = 21
          Hint = 
            'Database password | Define the password to use for connecting to' +
            ' the database server.'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
        end
        object opm_CheckBox_ConfigStorePass: TCheckBox
          Left = 281
          Top = 129
          Width = 270
          Height = 17
          Hint = 
            'Store password in configuration | If enabled, the database passw' +
            'ord is stored in the Registry and in the exported configuration ' +
            'files, which is more convenient but more insecure. If disabled, ' +
            'the database password will be asked every time you connect to th' +
            'e OSCommerce server.'
          Caption = 'Store password in configuration'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 6
        end
        object opm_CheckBox_ConfigDBDebugLog: TCheckBox
          Left = 281
          Top = 149
          Width = 260
          Height = 17
          Hint = 
            'Log SQL queries to file | Store all SQL queries with timestamps ' +
            'to a file. Use it for debugging purposes.'
          Caption = 'Log SQL queries to file'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 7
        end
        object opm_SpinEdit_ConfigHTTPConnRetries: TSpinEdit
          Left = 443
          Top = 93
          Width = 89
          Height = 22
          Hint = 
            'HTTP connection retries | How many times try to connect before f' +
            'ailing the connection to the server-side script server or any ot' +
            'her web server.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 4
          Value = 0
        end
        object opm_CheckBox_ConfigHTTPCompress: TCheckBox
          Left = 281
          Top = 169
          Width = 260
          Height = 17
          Hint = 
            'Compress connection | Compress network traffic. This is useful w' +
            'hen using remote link connections, not in a LAN. If you change t' +
            'his option, you need to disconnect and connect again.'
          Caption = 'Compress network traffic'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 8
        end
      end
    end
    object opm_TabSheet_ConfigUI: TTabSheet
      Caption = 'Interface'
      ImageIndex = 1
      object opm_GroupBox_inter: TGroupBox
        Left = 6
        Top = 7
        Width = 298
        Height = 329
        Caption = 'Interface options'
        TabOrder = 0
        object Bevel4: TBevel
          Left = 8
          Top = 202
          Width = 280
          Height = 2
        end
        object Bevel1: TBevel
          Left = 8
          Top = 250
          Width = 280
          Height = 2
        end
        object opm_CheckBox_ConfigRemember: TCheckBox
          Left = 16
          Top = 33
          Width = 270
          Height = 17
          Hint = 
            'Remember visual position | If enabled, the program will start wi' +
            'th the same column and window size as the last time you used it.'
          Caption = 'Remember windows/columns sizes'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
        end
        object opm_CheckBox_ConfigHotTrack: TCheckBox
          Left = 16
          Top = 16
          Width = 270
          Height = 17
          Hint = 
            'Hot tracking effect | If enabled, the hot track visual effect wi' +
            'll be activeted for the category tree and the product listing.'
          Caption = 'Hot track effects'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
        end
        object opm_CheckBox_ConfigAutoload: TCheckBox
          Left = 16
          Top = 51
          Width = 270
          Height = 17
          Hint = 
            'Single click product loading | If enabled, the list of product w' +
            'ill be downloaded for the selected category. This may be a bette' +
            'r option for fast network links. If disabled, you will need to d' +
            'ouble click the category to download the product list. This may ' +
            'be better for slow network links. '
          Caption = 'Show products with one click'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
        end
        object opm_CheckBox_ConfigDragDrop: TCheckBox
          Left = 16
          Top = 69
          Width = 270
          Height = 17
          Hint = 
            'Drag and drop | Enable the drag and drop of products from the pr' +
            'oduct list to the category tree, to move groups of products easi' +
            'ly between categories.'
          Caption = 'Drag and drop of products'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
        end
        object opm_CheckBox_ConfigTooltips: TCheckBox
          Left = 16
          Top = 104
          Width = 270
          Height = 17
          Hint = 
            'Use tooltips | If enabled, some options will display a tooltip w' +
            'ith additional information when the mouse passes over it.'
          Caption = 'Show tooltips.'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
        end
        object opm_CheckBox_ConfigSilent: TCheckBox
          Left = 16
          Top = 122
          Width = 270
          Height = 17
          Hint = 'No sound | Disable all warning sounds.'
          Caption = 'Be silent (no sounds).'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 6
        end
        object opm_CheckBox_ConfigDragUps: TCheckBox
          Left = 16
          Top = 86
          Width = 270
          Height = 17
          Hint = 
            'Drag and drop of images | Enable the drag and drop of images fro' +
            'm Windows Explorer to the Product Edit window, to select and upl' +
            'oad easily the image files of products.'
          Caption = 'Drag and drop of images'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 4
        end
        object opm_CheckBox_ConfigAutoDownImg: TCheckBox
          Left = 16
          Top = 228
          Width = 270
          Height = 17
          Hint = 
            'Donwload images automatically | When editing a product, download' +
            ' the image automatically. If disabled, the user will need to pre' +
            'ss a button to start the downloading of the image. This may be a' +
            ' better option for slow network links.'
          Caption = 'Download images without asking'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 11
        end
        object opm_CheckBox_ConfigNoCacheImg: TCheckBox
          Left = 16
          Top = 210
          Width = 270
          Height = 17
          Hint = 
            'Don'#39't allow image caching | If enabled, when downloading the pro' +
            'duct images, the program will ask the web server/web proxy to pr' +
            'ovide a fresh version, not a cached one. Enable it if you are ge' +
            'tting the same old image even when uploading a new one (this may' +
            ' happen with some web proxies).'
          Caption = 'Download always the most recent image'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 10
        end
        object opm_CheckBox_ConfigConfirmExit: TCheckBox
          Left = 16
          Top = 258
          Width = 270
          Height = 17
          Hint = 
            'Confirm exiting | Ask the user to confirm the exiting of the pro' +
            'gram.'
          Caption = 'Confirm exit'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 12
        end
        object opm_CheckBox_ConfigWBDebug: TCheckBox
          Left = 16
          Top = 276
          Width = 270
          Height = 17
          Hint = 
            'Show debug web data | Display the answer got from the web server' +
            ' when uploading image files. This is useful only for debugging p' +
            'urposes.'
          Caption = 'Show debug web data'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 13
        end
        object opm_CheckBox_ConfigStripes: TCheckBox
          Left = 16
          Top = 140
          Width = 270
          Height = 17
          Hint = 
            'Use color stripes in lists | If enabled, the rows of some lists ' +
            'will be displayed in alternate colors for easier reading.'
          Caption = 'Color stripes in lists'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 7
        end
        object opm_CheckBox_ConfigCacheIList: TCheckBox
          Left = 16
          Top = 158
          Width = 270
          Height = 17
          Hint = 
            'Cache image listings | If enabled, the image filenames and dirna' +
            'mes from the server will be cached, improving the performance of' +
            ' the application when uploading product images.'
          Caption = 'Cache image listings'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 8
        end
        object opm_CheckBox_ConfigCenterImage: TCheckBox
          Left = 16
          Top = 175
          Width = 270
          Height = 17
          Hint = 
            'Center image with a click | When editing a product with multiple' +
            ' images, the clicked image is centered for easy viewing. However' +
            ' this can make more difficult the selection, uploading and reord' +
            'ering of the images.'
          Caption = 'Center image with click'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 9
        end
      end
      object opm_GroupBox_inter2: TGroupBox
        Left = 311
        Top = 7
        Width = 298
        Height = 279
        Caption = 'Interface options'
        TabOrder = 1
        object Bevel2: TBevel
          Left = 8
          Top = 111
          Width = 280
          Height = 2
        end
        object opm_CheckBox_ConfigConfirmDels: TCheckBox
          Left = 16
          Top = 16
          Width = 270
          Height = 17
          Hint = 
            'Confirm deletions | Ask the user to confirm every deletion opera' +
            'tion.'
          Caption = 'Confirm deletions'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
        end
        object opm_CheckBox_ConfigConfirmDrag: TCheckBox
          Left = 16
          Top = 34
          Width = 270
          Height = 17
          Hint = 
            'Confirm drag and drop | Ask the user to confirm every drag and d' +
            'rop operation.'
          Caption = 'Confirm drag and drop'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
        end
        object opm_CheckBox_ConfigConfirmMods: TCheckBox
          Left = 16
          Top = 52
          Width = 270
          Height = 17
          Hint = 
            'Confirm modifications | Ask the user to confirm every modificati' +
            'on attempt.'
          Caption = 'Confirm modifications'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
        end
        object opm_CheckBox_ConfigConfirmUps: TCheckBox
          Left = 16
          Top = 70
          Width = 270
          Height = 17
          Hint = 
            'Confirm image uploads | Ask the user to confirm every image uplo' +
            'ad.'
          Caption = 'Confirm image uploads'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
        end
        object opm_CheckBox_ConfigConfirmImgDels: TCheckBox
          Left = 16
          Top = 88
          Width = 270
          Height = 17
          Hint = 
            'Confirm image deletions | Ask the user to confirm every deletion' +
            ' operation on the product images.'
          Caption = 'Confirm image deletions'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 4
        end
        object opm_CheckBox_ConfigAllowZeroPrice: TCheckBox
          Left = 16
          Top = 119
          Width = 270
          Height = 17
          Hint = 
            'Allow zero price | If enabled, you can enter zero as a valid pri' +
            'ce for the products.'
          Caption = 'Allow zero price'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
        end
        object opm_CheckBox_ConfigAllowNegativeQuantity: TCheckBox
          Left = 16
          Top = 137
          Width = 270
          Height = 17
          Hint = 
            'Allow negative quantity | If enabled, the quantity of a product ' +
            'can be negative.'
          Caption = 'Allow negative quantity'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 6
        end
        object opm_CheckBox_ConfigAllowEditImageName: TCheckBox
          Left = 16
          Top = 155
          Width = 270
          Height = 17
          Hint = 
            'Allow direct editing of image filename | If enabled, the filenam' +
            'e of the image can be modified directly, without uploading any f' +
            'ile.'
          Caption = 'Allow direct editing of image filename'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 7
        end
      end
      object opm_BitBtn_ConfigReset: TBitBtn
        Left = 452
        Top = 299
        Width = 150
        Height = 30
        Hint = 
          'Load defaults | Reset the user-interface options to the default ' +
          'values.'
        Caption = 'Load defaults'
        TabOrder = 2
        OnClick = opm_BitBtn_ConfigResetClick
      end
    end
    object opm_TabSheet_ConfigUI2: TTabSheet
      Caption = 'Interface 2'
      ImageIndex = 5
      object opm_GroupBox_Lang: TGroupBox
        Left = 6
        Top = 10
        Width = 600
        Height = 136
        Caption = 'Language options'
        TabOrder = 0
        object opm_Label_ConfigUILang: TLabel
          Left = 16
          Top = 22
          Width = 115
          Height = 13
          Caption = 'User interface language'
        end
        object opm_Label_ConfigUILangDesc: TLabel
          Left = 280
          Top = 12
          Width = 311
          Height = 114
          AutoSize = False
          Caption = ' '
          WordWrap = True
        end
        object Bevel3: TBevel
          Left = 270
          Top = 10
          Width = 2
          Height = 116
        end
        object opm_ComboBox_ConfigUILang: TComboBox
          Left = 13
          Top = 45
          Width = 250
          Height = 21
          Hint = 
            'User interface language | Select the language you want to use fo' +
            'r the menus, buttons, and other user interface controls.'
          Style = csDropDownList
          ItemHeight = 13
          TabOrder = 0
        end
      end
      object opm_GroupBox_Font: TGroupBox
        Left = 6
        Top = 150
        Width = 600
        Height = 76
        Caption = 'Font options'
        TabOrder = 1
        object opm_Label_ConfigFontDetails: TLabel
          Left = 176
          Top = 22
          Width = 3
          Height = 13
          Caption = ' '
        end
        object opm_BitBtn_ConfigFont: TBitBtn
          Left = 12
          Top = 25
          Width = 150
          Height = 30
          Hint = 'Font | Define what font to use for the user interface controls.'
          Caption = 'Font'
          TabOrder = 0
          OnClick = opm_BitBtn_ConfigFontClick
        end
      end
      object opm_GroupBox_Clipboard: TGroupBox
        Left = 8
        Top = 230
        Width = 600
        Height = 71
        Caption = 'Clipboard options'
        TabOrder = 2
        object opm_Label_Config_ClipMaxChars: TLabel
          Left = 21
          Top = 17
          Width = 101
          Height = 13
          Caption = 'Maximum column size'
        end
        object opm_SpinEdit_Config_ClipColSize: TSpinEdit
          Left = 21
          Top = 38
          Width = 50
          Height = 22
          Hint = 
            'Maximum column size | Set the maximum column size allowed when c' +
            'opying to the clipboard in preformated style. Columns wider than' +
            ' this value will be truncated.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          Value = 0
        end
      end
    end
    object opm_TabSheet_ConfigReports: TTabSheet
      Caption = 'Reports'
      ImageIndex = 7
      object opm_Label_ConfigPDFAuthor: TLabel
        Left = 23
        Top = 214
        Width = 54
        Height = 13
        Caption = 'PDF author'
      end
      object opm_GroupBox_Reports: TGroupBox
        Left = 7
        Top = 10
        Width = 394
        Height = 146
        Caption = 'Reports options'
        TabOrder = 0
        object opm_BitBtn_ConfigReportEdit: TBitBtn
          Left = 226
          Top = 42
          Width = 150
          Height = 30
          Hint = 
            'Edit report | Display the report-editing window to modify the la' +
            'yout and content of the currently selected report.'
          Caption = 'Edit'
          TabOrder = 0
          OnClick = opm_BitBtn_ConfigReportEditClick
        end
        object opm_ListBox_ConfigReports: TListBox
          Left = 10
          Top = 25
          Width = 200
          Height = 106
          Hint = 'Available reports | This is the list of available reports.'
          ExtendedSelect = False
          ItemHeight = 13
          Sorted = True
          TabOrder = 1
          OnClick = opm_ListBox_ConfigReportsClick
          OnDblClick = opm_ListBox_ConfigReportsDblClick
        end
        object opm_BitBtn_ConfigReportPreview: TBitBtn
          Left = 226
          Top = 82
          Width = 150
          Height = 30
          Hint = 
            'Preview | Shows a testing preview of the currently selected repo' +
            'rt..'
          Caption = 'Preview'
          TabOrder = 2
          OnClick = opm_BitBtn_ConfigReportPreviewClick
        end
      end
      object opm_CheckBox_ConfigPRNDirectPrint: TCheckBox
        Left = 21
        Top = 173
        Width = 270
        Height = 17
        Hint = 
          'Print without preview | If disabled, when requesting a printed r' +
          'eport.a preview will be shown first. Otherwise, the report is pr' +
          'inted directly to the default printer.'
        Caption = 'Print without preview.'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
      end
      object opm_Edit_ConfigPDFAuthor: TEdit
        Left = 23
        Top = 230
        Width = 250
        Height = 21
        Hint = 
          'PDF author | The name to set in the Author information of the ge' +
          'nerated PDFs.'
        TabOrder = 2
      end
    end
    object opm_TabSheet_ConfigImg: TTabSheet
      Caption = 'Images'
      ImageIndex = 2
      object opm_GroupBox_ImgConv: TGroupBox
        Left = 8
        Top = 3
        Width = 297
        Height = 251
        Caption = 'Image conversion options'
        TabOrder = 0
        object opm_Label_ConfigImgResize: TLabel
          Left = 11
          Top = 47
          Width = 81
          Height = 13
          Caption = 'Final desired size'
        end
        object opm_Label_ConfigImgXSymbol: TLabel
          Left = 67
          Top = 69
          Width = 6
          Height = 13
          Caption = 'X'
        end
        object opm_Label_ConfigImgJPEGQuality: TLabel
          Left = 11
          Top = 129
          Width = 108
          Height = 13
          Caption = 'JPEG quality of images'
        end
        object opm_Label_ConfigJPEGQCategory: TLabel
          Left = 81
          Top = 249
          Width = 3
          Height = 13
          Caption = ' '
        end
        object opm_CheckBox_ConfigResizeImg: TCheckBox
          Left = 11
          Top = 24
          Width = 270
          Height = 17
          Hint = 
            'Resize images when uploading | If enabled, the images will be re' +
            'sized to thumbnails when uploaded.'
          Caption = 'Resize images when uploading'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnClick = opm_CheckBox_ConfigResizeImgClick
        end
        object opm_SpinEdit_ConfigImgX: TSpinEdit
          Left = 11
          Top = 66
          Width = 50
          Height = 22
          Hint = 
            'Enter the prefered final  X (horizontal) size of the uploaded im' +
            'ages.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
          Value = 0
        end
        object opm_SpinEdit_ConfigImgY: TSpinEdit
          Left = 79
          Top = 66
          Width = 50
          Height = 22
          Hint = 
            'Enter the prefered final  Y (vertical) size of the uploaded imag' +
            'es.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
          Value = 0
        end
        object opm_SpinEdit_ConfigImgQ: TSpinEdit
          Left = 11
          Top = 148
          Width = 50
          Height = 22
          Hint = 
            'JPEG quality | Enter the quality of the JPEG conversion. The hig' +
            'her the number, the better the quality but the image size will b' +
            'e higher. The lower the number, the smaller the image, but the q' +
            'uality will be worse. Suggested values for OSCommerce are betwee' +
            'n 40 and 50.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 4
          Value = 0
          OnChange = opm_SpinEdit_ConfigImgQChange
        end
        object opm_CheckBox_ConfigPaddingImg: TCheckBox
          Left = 11
          Top = 185
          Width = 270
          Height = 17
          Hint = 
            'Pad images | Only valid if aspect ratio is preserved. If enabled' +
            ', resized images will be padded to fill the surrounding empty sp' +
            'ace with a color.'
          Caption = 'Pad images'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
        end
        object opm_CheckBox_ConfigKeepARImg: TCheckBox
          Left = 11
          Top = 99
          Width = 270
          Height = 17
          Hint = 
            'Keep aspect ratio | If enabled, the resized images will keep the' +
            'ir original aspect-ratio, avoiding distortion.'
          Caption = 'Keep aspect ration'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
        end
        object opm_BitBtn_ConfigColSel: TBitBtn
          Left = 11
          Top = 213
          Width = 150
          Height = 30
          Hint = 
            'Select padding color | Select the color used to pad the resized ' +
            'images.'
          Caption = 'Color'
          TabOrder = 6
          OnClick = opm_BitBtn_ConfigColSelClick
        end
        object opm_Panel_ConfigColSel: TPanel
          Left = 167
          Top = 213
          Width = 106
          Height = 30
          Hint = 'Current padding color'
          BevelOuter = bvLowered
          TabOrder = 7
        end
      end
      object opm_GroupBox_Img: TGroupBox
        Left = 8
        Top = 260
        Width = 438
        Height = 79
        Caption = 'Image download options'
        TabOrder = 2
        object opm_Label_ConfigImageURL: TLabel
          Left = 16
          Top = 20
          Width = 57
          Height = 13
          Caption = 'Images URL'
        end
        object opm_ComboBox_ConfigImgURL: TComboBox
          Left = 16
          Top = 38
          Width = 400
          Height = 21
          Hint = 
            'OSCommerce product images URL | Define the URL from where the im' +
            'ages of products can be downloaded. Usually the directory is /ca' +
            'talog/images, but may vary depending on the configuration of OSC' +
            'ommerce.'
          DropDownCount = 30
          ItemHeight = 13
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
        end
      end
      object opm_GroupBox_ImgWatermark: TGroupBox
        Left = 311
        Top = 3
        Width = 297
        Height = 251
        Caption = 'opm_GroupBox_ImgWatermark'
        TabOrder = 1
        object opm_Label_ConfigWatermarkBlend: TLabel
          Left = 14
          Top = 55
          Width = 121
          Height = 13
          Caption = 'Watermark blending level'
        end
        object opm_Label_ConfigWatermarkFile: TLabel
          Left = 14
          Top = 118
          Width = 101
          Height = 13
          Caption = 'Watermark image file'
        end
        object opm_CheckBox_ConfigWatermarkImg: TCheckBox
          Left = 14
          Top = 24
          Width = 270
          Height = 17
          Hint = 
            'Apply watermark to images | If enabled, a watermark image will b' +
            'e added to the images when uploaded.'
          Caption = 'Apply watermark to images'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnClick = opm_CheckBox_ConfigWatermarkImgClick
        end
        object opm_SpinEdit_ConfigWatermarkBlend: TSpinEdit
          Left = 14
          Top = 74
          Width = 50
          Height = 22
          Hint = 
            'Watermark blending level | Enter the prefered blending level to ' +
            'be used when combining the watermark with the uploaded images.'
          MaxValue = 0
          MinValue = 0
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
          Value = 0
        end
        object opm_Edit_ConfigWatermarkFile: TEdit
          Left = 14
          Top = 137
          Width = 220
          Height = 21
          Hint = 
            'Watermark image file | This is the path and name of the image fi' +
            'le that will be used as watermark for the uploaded images.'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
        end
        object opm_BitBtn_ConfigWatermarkSelectFile: TBitBtn
          Left = 240
          Top = 137
          Width = 40
          Height = 22
          Hint = 
            'Select image watermark image file | Click to select the image fi' +
            'le to be used as watermark.'
          Caption = '...'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
          OnClick = opm_BitBtn_ConfigWatermarkSelectFileClick
        end
      end
    end
    object opm_TabSheet_ConfigMods: TTabSheet
      Caption = 'External modules'
      ImageIndex = 3
      object opm_Label_ConfigModConnWait: TLabel
        Left = 258
        Top = 46
        Width = 128
        Height = 13
        Caption = 'Module connection timeout'
      end
      object opm_Label_ConfigModConnRetries: TLabel
        Left = 258
        Top = 91
        Width = 123
        Height = 13
        Caption = 'Module connection retries'
      end
      object opm_SpinEdit_ConfigModConnWait: TSpinEdit
        Left = 258
        Top = 63
        Width = 89
        Height = 22
        Hint = 
          'Module connection timeout | How many milliseconds to wait before' +
          ' retrying the connection to the external module.'
        MaxValue = 0
        MinValue = 0
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
        Value = 0
      end
      object opm_SpinEdit_ConfigModConnRetries: TSpinEdit
        Left = 258
        Top = 108
        Width = 89
        Height = 22
        Hint = 
          'Module connection retries | How many attempts to do if the conne' +
          'ction to the external module fails.'
        MaxValue = 0
        MinValue = 0
        ParentShowHint = False
        ShowHint = True
        TabOrder = 2
        Value = 0
      end
      object opm_GroupBox_Modules: TGroupBox
        Left = 5
        Top = 10
        Width = 231
        Height = 321
        Caption = 'Module options'
        TabOrder = 0
        object opm_BitBtn_ConfigModDel: TBitBtn
          Left = 41
          Top = 281
          Width = 150
          Height = 30
          Hint = 'Delete module configuration | Delete the module configuration.'
          Caption = 'Delete'
          TabOrder = 3
          OnClick = opm_BitBtn_ConfigModDelClick
        end
        object opm_ListBox_ConfigMods: TListBox
          Left = 15
          Top = 25
          Width = 200
          Height = 166
          Hint = 
            'Available modules | This is the list of available modules alread' +
            'y configured.'
          ExtendedSelect = False
          ItemHeight = 13
          Sorted = True
          TabOrder = 0
          OnClick = opm_ListBox_ConfigModsClick
          OnDblClick = opm_ListBox_ConfigModsDblClick
        end
        object opm_BitBtn_ConfigModEdit: TBitBtn
          Left = 41
          Top = 241
          Width = 150
          Height = 30
          Hint = 'Edit module configuration | Edit the module configuration.'
          Caption = 'Edit'
          TabOrder = 2
          OnClick = opm_BitBtn_ConfigModEditClick
        end
        object opm_BitBtn_ConfigModAdd: TBitBtn
          Left = 41
          Top = 201
          Width = 150
          Height = 30
          Hint = 'Add module configuration | Add a new module.'
          Caption = 'Add'
          TabOrder = 1
          OnClick = opm_BitBtn_ConfigModAddClick
        end
      end
    end
  end
  object opm_OpenDialog_ConfigINI: TOpenDialog
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Left = 13
    Top = 384
  end
  object opm_SaveDialog_ConfigINI: TSaveDialog
    Options = [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist, ofNoReadOnlyReturn, ofEnableSizing]
    Title = #161
    Left = 43
    Top = 386
  end
  object opm_FontDialog_Config: TFontDialog
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    MinFontSize = 8
    MaxFontSize = 40
    Options = [fdAnsiOnly, fdTrueTypeOnly, fdForceFontExist, fdNoSimulations, fdNoVectorFonts, fdLimitSize, fdScalableOnly]
    Left = 115
    Top = 386
  end
  object opm_frReport_Config: TfrReport
    Dataset = opm_frUserDataset_Config
    InitialZoom = pzDefault
    ModifyPrepared = False
    PreviewButtons = [pbZoom, pbExit]
    OnGetValue = opm_frReport_ConfigGetValue
    Left = 150
    Top = 385
    ReportForm = {17000000}
  end
  object opm_frDesigner_Config: TfrDesigner
    Left = 210
    Top = 385
  end
  object opm_frUserDataset_Config: TfrUserDataset
    OnCheckEOF = opm_frUserDataset_ConfigCheckEOF
    Left = 180
    Top = 385
  end
  object opm_OpenDialog_ConfigMod: TOpenDialog
    Options = [ofHideReadOnly, ofNoChangeDir, ofPathMustExist, ofFileMustExist, ofNoTestFileCreate, ofNoNetworkButton, ofNoDereferenceLinks, ofEnableSizing, ofDontAddToRecent]
    OptionsEx = [ofExNoPlacesBar]
    Left = 78
    Top = 384
  end
end
